import { AnimationOptions } from '../animations/animation';
import { NavControllerBase } from '../navigation/nav-controller-base';
import { Transition } from './transition';
import { ViewController } from '../navigation/view-controller';
export declare class TransitionController {
    private _ids;
    private _trns;
    getRootTrnsId(nav: NavControllerBase): number;
    nextId(): number;
    get(trnsId: number, enteringView: ViewController, leavingView: ViewController, opts: AnimationOptions): Transition;
    destroy(trnsId: number): void;
}
